LIBRARY "msvcr80.dll"
EXPORTS

#include "msvcrt-common.def.in"

_CIacos
_CIasin
_CIatan
_CIatan2
_CIcos
_CIcosh
_CIexp
_CIfmod
_CIlog
_CIlog10
_CIpow
_CIsin
_CIsinh
_CIsqrt
_CItan
_CItanh
_CxxThrowException@8
_EH_prolog
_Getdays
_Getmonths
_Gettnames
_HUGE DATA
_Strftime
_XcptFilter
__CxxFrameHandler
__CxxLongjmpUnwind
__RTCastToVoid
__RTDynamicCast
__RTtypeid
__STRINGTOLD
__argc DATA
__argv DATA
__badioinfo DATA
__crtCompareStringA
__crtGetLocaleInfoW
__crtLCMapStringA
__dllonexit
__doserrno
__fpecode
__getmainargs
__initenv DATA
__isascii
__iscsym
__iscsymf
__lc_codepage DATA
__lc_handle DATA
__lconv_init
__mb_cur_max DATA
__p___argc
__p___argv
__p___initenv
__p___mb_cur_max
__p___wargv
__p___winitenv
__p__acmdln
__p__amblksiz
__p__commode
__p__daylight
__p__dstbias
__p__environ
__p__fileinfo
__p__fmode
__p__iob
__p__mbctype
__p__osver
__p__pctype
__p__pgmptr
__p__pwctype
__p__timezone
__p__tzname
__p__wcmdln
__p__wenviron
__p__winmajor
__p__winminor
__p__winver
__p__wpgmptr
__pioinfo DATA
__pxcptinfoptrs
__set_app_type
__setlc_active DATA
__setusermatherr
__threadhandle
__threadid
__toascii
__unDName
__unguarded_readlc_active DATA
__wargv DATA
__wgetmainargs
__winitenv DATA
_abnormal_termination
_access
_acmdln DATA
_adj_fdiv_m16i
_adj_fdiv_m32
_adj_fdiv_m32i
_adj_fdiv_m64
_adj_fdiv_r
_adj_fdivr_m16i
_adj_fdivr_m32
_adj_fdivr_m32i
_adj_fdivr_m64
_adj_fpatan
_adj_fprem
_adj_fprem1
_adj_fptan
_adjust_fdiv DATA
_aexit_rtn DATA
_amsg_exit
_assert
_atodbl
_atoi64
atoll == _atoi64
_atoldbl
_beep
_beginthread
_beginthreadex
_c_exit
_cabs DATA
_callnewh
_cexit
_cgets
_chdir
_chdrive
_chgsign
_chmod
_chsize
_clearfp
_close
_commit
_commode DATA
_control87
_controlfp
_copysign
_cprintf
_cputs
_creat
_cscanf
_ctype DATA
_cwait
_difftime32
_difftime64
_dstbias DATA
_dup
_dup2
_ecvt
_endthread
_endthreadex
_environ DATA
_eof
_errno
_except_handler2
_except_handler3
_execl
_execle
_execlp
_execlpe
_execv
_execve
_execvp
_execvpe
_exit
_expand
_fcloseall
_fcvt
_fdopen
_fgetchar
_fgetwchar
_filbuf
_fileinfo DATA
_filelength
_filelengthi64
_fileno
_findclose
_findfirst32
_findfirst == _findfirst32
_findfirst64i32
_findfirst32i64
_findnext32
_findnext == _findnext32
_findnext64i32
_findnext32i64
_finite
_flsbuf
_flushall
_fmode DATA
_fpclass
_fpieee_flt
_fpreset DATA
_fputchar
_fputwchar
_fsopen
_fstat32
_fstat == _fstat32
_fstati64 == _fstat32i64
_fstat32i64
_fstat64
_fstat64i32
_ftime
_ftol
_fullpath
_futime
_gcvt
_get_osfhandle
_get_sbh_threshold
_getch
_getche
_getcwd
_getdcwd
_getdiskfree
_getdllprocaddr
_getdrive
_getdrives
_getmaxstdio
_getmbcp
_getpid
_getsystime
_getw
_getws
_global_unwind2
_heapadd
_heapchk
_heapmin
_heapset
_heapused
_heapwalk
_hypot
_i64toa
_i64tow
_initterm
_inp
_inpd
_inpw
_iob DATA
_isatty
_isctype
_ismbbalnum
_ismbbalpha
_ismbbgraph
_ismbbkalnum
_ismbbkana
_ismbbkprint
_ismbbkpunct
_ismbblead
_ismbbprint
_ismbbpunct
_ismbbtrail
_ismbcalnum
_ismbcalpha
_ismbcdigit
_ismbcgraph
_ismbchira
_ismbckata
_ismbcl0
_ismbcl1
_ismbcl2
_ismbclegal
_ismbclower
_ismbcprint
_ismbcpunct
_ismbcspace
_ismbcsymbol
_ismbcupper
_ismbslead
_ismbstrail
_isnan
_itoa
_itow
_j0
_j1
_jn
_kbhit
_lfind
_loaddll
_local_unwind2
_lock
_lock_file
_locking
_logb
_longjmpex
_lrotl
_lrotr
_lsearch
_lseek
_lseeki64
_ltoa
_ltow
_makepath
_mbbtombc
_mbbtype
_mbccpy
_mbcjistojms
_mbcjmstojis
_mbclen
_mbctohira
_mbctokata
_mbctolower
_mbctombb
_mbctoupper
_mbctype DATA
_mbsbtype
_mbscat
_mbschr
_mbscmp
_mbscoll
_mbscpy
_mbscspn
_mbsdec
_mbsdup
_mbsicmp
_mbsicoll
_mbsinc
_mbslen
_mbslwr
_mbsnbcat
_mbsnbcmp
_mbsnbcnt
_mbsnbcoll
_mbsnbcpy
_mbsnbicmp
_mbsnbicoll
_mbsnbset
_mbsncat
_mbsnccnt
_mbsncmp
_mbsncoll
_mbsncpy
_mbsnextc
_mbsnicmp
_mbsnicoll
_mbsninc
_mbsnset
_mbspbrk
_mbsrchr
_mbsrev
_mbsset
_mbsspn
_mbsspnp
_mbsstr
_mbstok
_mbstrlen
_mbsupr
_mkgmtime32
_mkgmtime == _mkgmtime32
_mkgmtime64
_memccpy
_memicmp
_mkdir
_mktemp
_msize
_nextafter
_onexit
_open
_open_osfhandle
_osver DATA
_outp
_outpd
_outpw
_pclose
_pctype DATA
_pgmptr DATA
_pipe
_popen
_purecall
_putch
_putenv
_putw
_putws
_pwctype DATA
_read
_rmdir
_rmtmp
_rotl
_rotr
_safe_fdiv
_safe_fdivr
_safe_fprem
_safe_fprem1
_scalb
_searchenv
_seh_longjmp_unwind
_set_error_mode
_set_invalid_parameter_handler
_set_sbh_threshold
_seterrormode
_setjmp
_setjmp3
_setmaxstdio
_setmbcp
_setmode
_setsystime
_sleep
_snprintf
_snwprintf
_sopen
_spawnl
_spawnle
_spawnlp
_spawnlpe
_spawnv
_spawnve
_spawnvp
_spawnvpe
_splitpath
_stat32
_stat == _stat32
_stati64 == _stat32i64
_stat32i64
_stat64
_stat64i32
_statusfp
_strcmpi
_strdate
_strdup
_strerror
_stricmp
_stricoll
_strlwr
strlwr == _strlwr
_strncoll
_strnicmp
_strnicoll
_strnset
_strrev
_strset
_strtime
_strupr
_swab
_sys_errlist DATA
_sys_nerr DATA
_tell
_telli64
_tempnam
_tolower
_toupper
_tzset
_ui64toa
_ui64tow
_ultoa
_ultow
_umask
_ungetch
_unlink
_unloaddll
_unlock
_unlock_file
_utime
_vsnprintf
_vsnwprintf
_waccess
_wasctime
_wchdir
_wchmod
_wcmdln DATA
_wcreat
_wcsdup
_wcsicmp
_wcsicoll
_wcslwr
wcslwr == _wcslwr
_wcsncoll
_wcsnicmp
_wcsnicoll
_wcsnset
_wcsrev
_wcsset
_wcsupr
_wctime32
_wctime == _wctime32
_wenviron DATA
_wexecl
_wexecle
_wexeclp
_wexeclpe
_wexecv
_wexecve
_wexecvp
_wexecvpe
_wfdopen
_wfindfirst32
_wfindfirst == _wfindfirst32
_wfindfirst32i64
_wfindfirst64i32
_wfindnext32
_wfindnext == _wfindnext32
_wfindnext32i64
_wfindnext64i32
_wfopen
_wfreopen
_wfsopen
_wfullpath
_wgetcwd
_wgetdcwd
_wgetenv
_winmajor DATA
_winminor DATA
_winver DATA
_wmakepath
_wmkdir
_wmktemp
_wopen
_wperror
_wpgmptr DATA
_wpopen
_wputenv
_wremove
_wrename
_write
_wrmdir
_wsearchenv
_wsetlocale
_wsopen
_wspawnl
_wspawnle
_wspawnlp
_wspawnlpe
_wspawnv
_wspawnve
_wspawnvp
_wspawnvpe
_wsplitpath
_wstat32
_wstat == _wstat32
_wstati64 == _wstat32i64
_wstat32i64
_wstat64
_wstat64i32
_wstrdate
_wstrtime
_wsystem
_wtempnam
_wtmpnam
_wtoi
_wtoi64
_wtol
_wunlink
_wutime
_y0
_y1
_yn
_fclose_nolock
_fflush_nolock
_fgetwc_nolock
_getwc_nolock == _fgetwc_nolock
_fputwc_nolock
_fread_nolock
_fread_nolock_s
_fseek_nolock
_fseeki64_nolock
_ftell_nolock
_ftelli64_nolock
_fwrite_nolock
_getch_nolock
_getche_nolock
_getdcwd_nolock
_getwch_nolock
_getwche_nolock
_putch_nolock
_putwch_nolock
_ungetc_nolock
_ungetch_nolock
_ungetwc_nolock
_ungetwch_nolock
_wgetdcwd_nolock
abort
abs
acos
asctime
asin
atan
atan2 DATA
atexit DATA
atof
atoi
atol
bsearch
calloc
ceil DATA
clearerr
clock
cos DATA
; If we implement cosh, we can set it to DATA only.
cosh
_ctime32
ctime == _ctime32
difftime
div
exit
exp DATA
fabs DATA
fclose
feof
ferror
fflush
fgetc
fgetpos
fgets
fgetwc
fgetws
floor DATA
fmod DATA
fopen
fprintf
__ms_fprintf == fprintf
fputc
fputs
fputwc
fputws
fread
free
freopen
frexp DATA
fscanf
__ms_fscanf == fscanf
fseek
fsetpos
ftell
fwprintf
__ms_fwprintf == fwprintf
fwrite
fwscanf
__ms_fwscanf == fwscanf
getc
getchar
getenv
gets
getwc
getwchar
_gmtime32
gmtime == _gmtime32
is_wctype
isalnum
isalpha
iscntrl
isdigit
isgraph
isleadbyte
islower
isprint
ispunct
isspace
isupper
iswalnum
iswalpha
iswascii
iswcntrl
iswctype
iswdigit
iswgraph
iswlower
iswprint
iswpunct
iswspace
iswupper
iswxdigit
isxdigit
labs
ldexp DATA
ldiv
localeconv
localtime == _localtime32
_localtime32
log DATA
; If we implement log10, we can set it to DATA only.
log10
malloc
mblen
mbstowcs
mbtowc
memchr
memcmp
memcpy
memmove
memset
mktime == _mktime32
_mktime32
modf DATA
perror
pow DATA
printf
__ms_printf == printf
putc
putchar
puts
putwc
putwchar
qsort
qsort_s
raise
rand
rand_s
realloc
remove
rename
rewind
scanf
__ms_scanf == scanf
setbuf
setlocale
setvbuf
signal
sin DATA
; If we impelement sinh, we can set it to DATA only.
sinh
sprintf
__ms_sprintf == sprintf
sqrt DATA
srand
sscanf
__ms_sscanf == sscanf
strcat
strchr
strcmp
strcoll
strcpy
strcspn
strerror
strftime
strlen
strncat
strncmp
strncpy
strpbrk
strrchr
strspn
strstr
strtod
strtok
strtol
strtoul
strxfrm
swprintf
__ms_swprintf == swprintf
swscanf
__ms_swscanf == swscanf
system
tan
; If we implement tanh, we can set it to DATA only.
tanh
_time32
time == _time32
tmpfile
tmpnam
tolower
toupper
towlower
towupper
ungetc
ungetwc
vfprintf
__ms_vfprintf == vfprintf
vfwprintf
__ms_vfwprintf == vfwprintf
vprintf
__ms_vprintf == vprintf
vsprintf
__ms_vsprintf == vsprintf
vswprintf
__ms_vswprintf == vswprintf
vwprintf
__ms_vwprintf == vwprintf
wcscat
wcschr
wcscmp
wcscoll
wcscpy
wcscspn
wcsftime
wcslen
wcsncat
wcsncmp
wcsncpy
wcspbrk
wcsrchr
wcsspn
wcsstr
wcstod
wcstok
wcstol
wcstombs
wcstoul
wcsxfrm
wctomb
wprintf
__ms_wprintf == wprintf
wscanf
__ms_wscanf == wscanf
; msvcrt.dll(version 6.10) and later
__lc_collate_cp	DATA
__p__mbcasemap
__unDNameEx
_chkesp
_ctime64
_findfirst64
_findnext64
_ftime64
_futime64
_gmtime64
_localtime64
_mbcasemap
_mktime64
_osplatform	DATA
_time64
_utime64
_wctime64
_wfindfirst64
_wfindnext64
_wutime64
; msvcr70.dll amd later
__buffer_overrun
__CxxDetectRethrow
__CxxExceptionFilter
__CxxQueryExceptionSize
__CxxRegisterExceptionObject
__CxxUnregisterExceptionObject
__DestructExceptionObject
__lc_clike
__security_error_handler
__set_buffer_overrun_handler
__uncaught_exception
__wcserror
_aligned_free
_aligned_malloc
_aligned_offset_malloc
_aligned_offset_realloc
_aligned_realloc
_cgetws
_cputws
_CRT_RTC_INIT
_cwprintf
_cwscanf
_getwch
_getwche
_putwch
_resetstkoflw
_scprintf
_scwprintf
_set_security_error_handler
_snscanf
_snwscanf
_strtoi64
strtoll == _strtoi64
strtoimax == _strtoi64
_strtoui64
strtoull == _strtoui64
strtoumax == _strtoui64
_ungetwch
_vscprintf
_vscwprintf
_wassert
_wcserror
_wcstoi64
_wcstoui64
_wctype
_wtof
___lc_codepage_func
___lc_collate_cp_func
___lc_handle_func
___mb_cur_max_func
___setlc_active_func
___unguarded_readlc_active_add_func
__CppXcptFilter
__crtCompareStringW
__crtGetStringTypeW
__crtLCMapStringW
__CxxCallUnwindDtor
__CxxCallUnwindVecDtor
__iob_func
__pctype_func
__pwctype_func
_get_heap_handle
_set_purecall_handler
_set_SSE2_enable
